#include<stdio.h>

main()
{
 int i,j,n;
 scanf("%d",&n);
 if(n<=0) { printf("-1\n");   return -1; }
 
    for(i=n;i>0;i--) {
	  for(j=1;j<n-i+1;j++) 
	      printf("*");
	      printf("A"); 
	  for(j=1;j<n;j++)
	      printf("\n");
   
   
}
  
  
  
  
  
 
  
  
return 0;  
}
